<script setup>
import { useGeneral } from "@/Composable/General";
import AuthenticatedLayout from "@/Layouts/AuthenticatedLayout.vue";
import { Link, useForm, usePage } from "@inertiajs/vue3";
import Pagination from "@/Components/PaginationLinks.vue";
const page = usePage();

const { deleteFunction } = useGeneral();

const props=defineProps(['menus']);

const form=useForm({
    user_id:page.props.auth.user.id,
    restaurant_id:null,
    category_id:null,
    menu_id:null,
   
});



const submit = (menu_id,restaurant_id,category_id) => {
    form.menu_id = menu_id;
    form.restaurant_id = restaurant_id;
    form.category_id = category_id;
    form.post(route('cart.store'));
}
</script>

<template>

    <Head title="Index" />
    <AuthenticatedLayout>
        <template #header>
            <h2 class="font-semibold text-xl text-gray-800 leading-tight">Customer</h2>
        </template>
        <div class="row">
            <div class="col-12">
                <div class="page-title-right">
                    <ol class="breadcrumb m-0">
                        <li class="breadcrumb-item">
                            <a href="javascript: void(0);">Menu</a>
                        </li>
                        <li class="breadcrumb-item active">Listing</li>
                    </ol>
                </div>
            </div>
        </div>
        <div class="container-fluid mt-3">
            <div class="row">
                <div class="col-xl-6">
                    <div class="card">
                        <div class="card-header align-items-center d-flex">
                            <h4 class="card-title mb-0 flex-grow-1">Menus</h4>
                        </div><!-- end card header -->
                       
                        <div class="card-body">
                            <div class="table-responsive table-card">
                                <table class="table table-hover table-centered align-middle">
                                    <tbody v-for="(menuGroup, categoryId) in menus" :key="categoryId">
                                        <tr>
                                            <th>{{ menuGroup[0].category.category_name }}</th>
                                        </tr>
                                        <tr v-for="menu in menuGroup" :key="menu.id">
                                            <td>
                                                <h5 class="fs-14 my-1 fw-normal" ref="name">{{ menu.dish_name }}</h5>
                                            </td>
                                            <td>
                                                <span class="text-muted">{{ menu.price }}</span>
                                            </td>
                                            <td>
                                                <button class="btn btn-success" @click="submit(menu.id,menu.restaurant_id,menu.category.id)">Add To Cart</button>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                            </div>
                        
                            <div class="align-items-center mt-4 pt-2 justify-content-between row text-center text-sm-start">
                                <div class="col-sm">
                                    <div class="text-muted">
                                        Showing <span class="fw-semibold">5</span> of <span class="fw-semibold">25</span> Results
                                    </div>
                                </div>
                                <div class="col-sm-auto mt-3 mt-sm-0">
                                    <ul class="pagination pagination-separated pagination-sm mb-0 justify-content-center">
                                        <li class="page-item disabled">
                                            <a href="#" class="page-link">←</a>
                                        </li>
                                        <li class="page-item">
                                            <a href="#" class="page-link">1</a>
                                        </li>
                                        <li class="page-item active">
                                            <a href="#" class="page-link">2</a>
                                        </li>
                                        <li class="page-item">
                                            <a href="#" class="page-link">3</a>
                                        </li>
                                        <li class="page-item">
                                            <a href="#" class="page-link">→</a>
                                        </li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>

              
            </div> <!-- end row-->
           
        </div>


    </AuthenticatedLayout>
</template>